Page MenuHomePhabricator

Issue with the display of the count for pages with the same name but in different namespaces
Closed, ResolvedPublic

Description

Setup

  • MediaWiki 1.27.2 (c7b9559) 01:51, 14. Apr. 2017
  • PHP 5.6.30-0+deb8u1 (apache2handler)
  • MySQL 5.5.54-0+deb8u1
  • Hit Counter 0.3 (b3634d3) 23:48, 21. Nov. 2015

Issue

Imagine a page "John Doe" in the main namespace with 100 accesses and a page "User:John Doe" in the user namespace with 200 accesses. What happens is that HitCounters does its counting however displays the same number on both pages arbitrarily i.e. sometimes 100 is shown on both pages and sometimes it is 200 on both pages. The displayed count is always identical on both pages. What is correct is the display of the count on special page "Statistics". There we have an entry for "John Doe" with 100 accesses and for "User:John Doe" with 200 accesses.

It will be could if this could be sorted out somehow. Thoughts on this?

Event Timeline

Kghbln created this task.Apr 26 2017, 10:30 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 26 2017, 10:30 PM
Cboltz added a subscriber: Cboltz.Apr 26 2017, 10:47 PM
Kghbln added a subscriber: Seb35.EditedJan 2 2018, 11:40 AM

This is most probably related: The number of accesses of a page in an namespace is also displayed for the respecive talk namespace, e.g. the number of accesses to a page "Foo" will also be shown for page "Foo_talk".

@Seb35 FYI since I saw that you recently "worked" on this extension.

Change 513588 had a related patch set uploaded (by Aklapper; owner: Robert Vogel):
[mediawiki/extensions/HitCounters@master] Fix cache key

https://gerrit.wikimedia.org/r/513588

Change 513588 merged by jenkins-bot:
[mediawiki/extensions/HitCounters@master] Fix cache key

https://gerrit.wikimedia.org/r/513588

Kghbln closed this task as Resolved.Jun 3 2019, 8:54 AM
Kghbln assigned this task to Osnard.

@Osnard Thanks for fixing. @MarkAHershberger Thanks for merging.

Change 516437 had a related patch set uploaded (by Kghbln; owner: Robert Vogel):
[mediawiki/extensions/HitCounters@REL1_33] Fix cache key

https://gerrit.wikimedia.org/r/516437

Change 516438 had a related patch set uploaded (by Kghbln; owner: Robert Vogel):
[mediawiki/extensions/HitCounters@REL1_32] Fix cache key

https://gerrit.wikimedia.org/r/516438

Change 516439 had a related patch set uploaded (by Kghbln; owner: Robert Vogel):
[mediawiki/extensions/HitCounters@REL1_31] Fix cache key

https://gerrit.wikimedia.org/r/516439

Change 516437 merged by jenkins-bot:
[mediawiki/extensions/HitCounters@REL1_33] Fix cache key

https://gerrit.wikimedia.org/r/516437

Change 516439 merged by jenkins-bot:
[mediawiki/extensions/HitCounters@REL1_31] Fix cache key

https://gerrit.wikimedia.org/r/516439

Change 516438 merged by jenkins-bot:
[mediawiki/extensions/HitCounters@REL1_32] Fix cache key

https://gerrit.wikimedia.org/r/516438

@MarkAHershberger Thanks a ton!!! I could have come up with this earlier, I believe. :|